clang-tools 10.0.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
clang::clangd::Logger Class Referenceabstract

Interface to allow custom logging in clangd. More...

`#include <Logger.h>`

Inheritance diagram for clang::clangd::Logger:
[legend]

## Public Types
enum | Level { Debug, Verbose, Info, Error }

## Public Member Functions
virtual | ~Logger ()=default
virtual void | log (Level, const llvm::formatv_object_base &Message)=0
| Implementations of this method must be thread-safe. More...

## Static Public Member Functions
static char | indicator (Level L)

## Detailed Description

Interface to allow custom logging in clangd.

Definition at line 23 of file Logger.h.

## Member Enumeration Documentation

## ◆ Level

enum clang::clangd::Logger::Level

Enumerator
Debug |
Verbose |
Info |
Error |

Definition at line 27 of file Logger.h.

## Constructor & Destructor Documentation

## ◆ ~Logger()

virtual clang::clangd::Logger::~Logger | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ indicator()

static char clang::clangd::Logger::indicator | ( | Level | L | ) |
| inline static

Definition at line 28 of file Logger.h.

References log(), and clang::tidy::modernize::Message.

## ◆ log()

virtual void clang::clangd::Logger::log | ( | Level | ,
|  | const llvm::formatv_object_base & | Message
| ) |  |
| pure virtual

Implementations of this method must be thread-safe.

Implemented in clang::clangd::StreamLogger.

Referenced by indicator(), and clang::clangd::StreamLogger::StreamLogger().

The documentation for this class was generated from the following file:

- Logger.h